ListProxy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.lazy.proxy
Class ListProxy<U>

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.lazy.proxy.CollectionProxy<U,List<U>>
          org.hibernate.envers.entities.mapper.relation.lazy.proxy.ListProxy<U>

All Implemented Interfaces:
  Serializable, Iterable<U>, Collection<U>, List<U>

    public class ListProxy<U>

extends CollectionProxy<U,List<U>>
implements List<U>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.envers.entities.mapper.relation.lazy.proxy.CollectionProxy
`delegate`

Constructor Summary
`ListProxy()`
`ListProxy(Initializor<List<U>> initializor)`

Method Summary
`void` | `add(int index, U element)`
`boolean` | `addAll(int index, Collection<? extends U> c)`
`U` | `get(int index)`
`int` | `indexOf(Object o)`
`int` | `lastIndexOf(Object o)`
`ListIterator<U>` | `listIterator()`
`ListIterator<U>` | `listIterator(int index)`
`U` | `remove(int index)`
`U` | `set(int index, U element)`
`List<U>` | `subList(int fromIndex, int toIndex)`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.lazy.proxy.CollectionProxy
`add, addAll, checkInit, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### ListProxy

    public ListProxy()

### ListProxy

    public ListProxy(Initializor<List<U>> initializor)

Method Detail

### addAll

    public boolean addAll(int index,
                          Collection<? extends U> c)

  Specified by:
    `addAll` in interface `List<U>`

### get

    public U get(int index)

  Specified by:
    `get` in interface `List<U>`

### set

    public U set(int index,
                 U element)

  Specified by:
    `set` in interface `List<U>`

### add

    public void add(int index,
                    U element)

  Specified by:
    `add` in interface `List<U>`

### remove

    public U remove(int index)

  Specified by:
    `remove` in interface `List<U>`

### indexOf

    public int indexOf(Object o)

  Specified by:
    `indexOf` in interface `List<U>`

### lastIndexOf

    public int lastIndexOf(Object o)

  Specified by:
    `lastIndexOf` in interface `List<U>`

### listIterator

    public ListIterator<U> listIterator()

  Specified by:
    `listIterator` in interface `List<U>`

### listIterator

    public ListIterator<U> listIterator(int index)

  Specified by:
    `listIterator` in interface `List<U>`

### subList

    public List<U> subList(int fromIndex,
                           int toIndex)

  Specified by:
    `subList` in interface `List<U>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.